package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.PoNewsFile;

/**
 * 信息文件Service接口
 *
 * @author ruoyi
 * @date 2023-01-25
 */
public interface IPoNewsFileService
{
    /**
     * 查询信息文件
     *
     * @param fileId 主键
     */
    public PoNewsFile selectPoNewsFileByFileId(Long fileId);

    /**
     * 查询信息文件列表
     */
    public List<PoNewsFile> selectPoNewsFileList(PoNewsFile poNewsFile);

    /**
     * 新增信息文件
     */
    public int insertPoNewsFile(PoNewsFile poNewsFile);

    /**
     * 修改信息文件
     */
    public int updatePoNewsFile(PoNewsFile poNewsFile);

    /**
     * 批量删除信息文件
     */
    public int deletePoNewsFileByFileIds(Long[] fileIds);

    /**
     * 删除信息文件信息
     */
    public int deletePoNewsFileByFileId(Long fileId);
}
